from resource_management import *
from resource_management.libraries.functions import get_kinit_path
from subprocess import Popen, PIPE
import sys
config = Script.get_config()
tmp_dir = Script.get_tmp_dir()


command = ["/usr/bin/odp-select", "--version"]
# Run the command and capture the output
process = Popen(command, stdout=PIPE, stderr=PIPE)
output, error = process.communicate()
# Decode the output to a string
stack_version = ""
if sys.version_info[0] == 2:
    stack_version = output.decode('utf-8') if output else ''
elif sys.version_info[0] == 3:
    if isinstance(output,bytes):
        stack_version = output.decode('utf-8') if output else ''
    else:
        stack_version = output if output else ''
stack_version = str(stack_version.strip())

ignore_groupsusers_create = default("/configurations/cluster-env/ignore_groupsusers_create", False)
smoke_user                = default("/configurations/cluster-env/smokeuser","ambari-qa")
smoke_user_principal      = default("/configurations/cluster-env/smokeuser_principal_name","")
smoke_user_keytab         = default("/configurations/cluster-env/smokeuser_keytab", "")
kinit_path_local          = get_kinit_path(default("/configurations/kerberos-env/executable_search_paths", None))

httpfs_user               = config['configurations']['httpfs']['user']
httpfs_group              = config['configurations']['httpfs']['group']
httpfs_conf_dir           = config['configurations']['httpfs']['conf_dir']

httpfs_server_host        = config['clusterHostInfo']['httpfs_gateway_hosts'][0]
httpfs_server_port        = config['configurations']['httpfs']['port']
httpfs_server_admin_port  = config['configurations']['httpfs']['admin.port']
httpfs_log_dir            = config['configurations']['httpfs']['httpfs_log_dir']

httpfs_env_template       = config['configurations']['httpfs-env']['content']
httpfs_log4j_content      = config['configurations']['httpfs-log4j']['content']
security_enabled          = config['configurations']['cluster-env']['security_enabled']
ssl_enabled               = config['configurations']['httpfs-site']['httpfs.ssl.enabled']